Subject: Re: bug#23300: 25.0.92; python interrupts subjop on keyborard quit

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Dec 2020 13:25:38 +0100

Vitalie Spinu <[email-masked]> writes:

> Currently python.el has a bad habit of interrupting running jobs on
> keyboard quit.
>
> Run a time consuming task:
>
>   import time
>   time.sleep(100)
>
> Then go to python file and move your cursor around. If eldoc or company
> completion is active, python.el will hang after requesting for
> completion. That's because it's not smart enough to understand that the
> process is busy. For me the hang even happens on C-x C-f for no clear
> reason.

(This bug report unfortunately got no response at the time.)

I tried reproducing this in Emacs 28 by

emacs -Q foo.py
C-c C-p
C-x h
C-c C-r

and then moving around, and I didn't get any interrupts, as far as I'm
able to tell.

Are you still seeing this problem in more recent versions of Emacs?  If
so, do you have a precise recipe to reproduce the bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no